let transitions_mul = [ 
Transition(Q(0) , Lettre('x') ,Q(8010) , Lettre('x') , Right) ;
Transition(Q(0) , Lettre('1') ,Q(1) , Lettre('1') , Right) ;
Transition(Q(0) , Wildcard ,Q(0) , Wildcard , Right) ;
Transition(Q(1) , Lettre('x') ,Q(8020) , Lettre('x') , Left) ;
Transition(Q(1) , Wildcard ,Q(2) , Wildcard , Right) ;
Transition(Q(2) , Lettre('x') ,Q(3) , Lettre('x') , Right) ;
Transition(Q(2) , Wildcard ,Q(2) , Wildcard , Right) ;
Transition(Q(3) , Lettre('1') ,Q(4) , Lettre('1') , Right) ;
Transition(Q(3) , Epsilon ,Q(8000) , Epsilon , Left) ;
Transition(Q(3) , Wildcard ,Q(3) , Wildcard , Right) ;
Transition(Q(4) , Epsilon ,Q(8030) , Epsilon , Left) ;
Transition(Q(4) , Wildcard ,Q(5) , Wildcard , None) ;
Transition(Q(5) , Epsilon ,Q(6) , Lettre('/') , Right) ;
Transition(Q(5) , Wildcard ,Q(5) , Wildcard , Left) ;
Transition(Q(6) , Lettre('x') ,Q(7) , Lettre('x') , Left) ;
Transition(Q(6) , Wildcard ,Q(6) , Wildcard , Right) ;
Transition(Q(7) , Lettre('/') ,Q(9) , Lettre('/') , Left) ;
Transition(Q(7) , Lettre('0') ,Q(8) , Lettre('o') , Left) ;
Transition(Q(7) , Lettre('1') ,Q(8) , Lettre('i') , Left) ;
Transition(Q(7) , Wildcard ,Q(7) , Wildcard , Left) ;
Transition(Q(8) , Epsilon ,Q(6) , Lettre('a') , Right) ;
Transition(Q(8) , Wildcard ,Q(8) , Wildcard , Left) ;
Transition(Q(9) , Epsilon ,Q(10) , Lettre('=') , Left) ;
Transition(Q(9) , Wildcard ,Q(9) , Wildcard , Left) ;
Transition(Q(10) , Epsilon ,Q(11) , Lettre('0') , Right) ;
Transition(Q(11) , Lettre('o') ,Q(11) , Lettre('0') , Right) ;
Transition(Q(11) , Lettre('i') ,Q(11) , Lettre('1') , Right) ;
Transition(Q(11) , Lettre('x') ,Q(12) , Lettre('x') , Left) ;
Transition(Q(11) , Wildcard ,Q(11) , Wildcard , Right) ;
Transition(Q(12) , Lettre('/') ,Q(20) , Lettre('/') , Right) ;
Transition(Q(12) , Wildcard ,Q(12) , Wildcard , Left) ;
Transition(Q(20) , Lettre('x') ,Q(21) , Lettre('x') , Right) ;
Transition(Q(20) , Wildcard ,Q(20) , Wildcard , Right) ;
Transition(Q(21) , Lettre('1') ,Q(23) , Lettre('1') , Right) ;
Transition(Q(21) , Epsilon ,Q(8040) , Epsilon , Left) ;
Transition(Q(21) , Wildcard ,Q(21) , Wildcard , Right) ;
Transition(Q(23) , Epsilon ,Q(24) , Epsilon , Left) ;
Transition(Q(23) , Wildcard ,Q(23) , Wildcard , Right) ;
Transition(Q(24) , Lettre('0') ,Q(24) , Lettre('1') , Left) ;
Transition(Q(24) , Lettre('1') ,Q(25) , Lettre('0') , Left) ;
Transition(Q(25) , Lettre('x') ,Q(26) , Lettre('x') , Left) ;
Transition(Q(25) , Wildcard ,Q(25) , Wildcard , Left) ;
Transition(Q(26) , Lettre('/') ,Q(30) , Lettre('/') , Left) ;
Transition(Q(26) , Lettre('0') ,Q(27) , Lettre('o') , Left) ;
Transition(Q(26) , Lettre('1') ,Q(28) , Lettre('i') , Left) ;
Transition(Q(26) , Wildcard ,Q(26) , Wildcard , Left) ;
Transition(Q(27) , Lettre('a') ,Q(29) , Lettre('0') , Right) ;
Transition(Q(28) , Lettre('a') ,Q(29) , Lettre('1') , Right) ;
Transition(Q(27) , Wildcard ,Q(27) , Wildcard , Left) ;
Transition(Q(28) , Wildcard ,Q(28) , Wildcard , Left) ;
Transition(Q(29) , Lettre('x') ,Q(26) , Lettre('x') , Left) ;
Transition(Q(29) , Lettre('i') ,Q(26) , Lettre('i') , Left) ;
Transition(Q(29) , Lettre('o') ,Q(26) , Lettre('o') , Left) ;
Transition(Q(29) , Wildcard ,Q(29) , Wildcard , Right) ;
Transition(Q(30) , Lettre('=') ,Q(31) , Lettre('=') , Right) ;
Transition(Q(30) , Wildcard ,Q(30) , Wildcard , Left) ;
Transition(Q(31) , Lettre('1') ,Q(32) , Lettre('1') , Right) ;
Transition(Q(31) , Lettre('/') ,Q(40) , Lettre('/') , Left) ;
Transition(Q(31) , Wildcard ,Q(31) , Wildcard , Right) ;
Transition(Q(32) , Lettre('/') ,Q(33) , Lettre('/') , Left) ;
Transition(Q(32) , Wildcard ,Q(32) , Wildcard , Right) ;
Transition(Q(33) , Lettre('0') ,Q(33) , Lettre('1') , Left) ;
Transition(Q(33) , Lettre('1') ,Q(34) , Lettre('0') , Left) ;
Transition(Q(34) , Lettre('=') ,Q(35) , Lettre('=') , Left) ;
Transition(Q(34) , Wildcard ,Q(34) , Wildcard , Left) ;
Transition(Q(35) , Lettre('1') ,Q(35) , Lettre('0') , Left) ;
Transition(Q(35) , Wildcard ,Q(36) , Lettre('1') , Right) ;
Transition(Q(36) , Lettre('=') ,Q(31) , Lettre('=') , Right) ;
Transition(Q(36) , Wildcard ,Q(36) , Wildcard , Right) ;
Transition(Q(40) , Lettre('=') ,Q(41) , Lettre('=') , Right) ;
Transition(Q(40) , Wildcard ,Q(40) , Lettre('a') , Left) ;
Transition(Q(41) , Lettre('x') ,Q(21) , Lettre('x') , Right) ;
Transition(Q(41) , Lettre('o') ,Q(41) , Lettre('0') , Right) ;
Transition(Q(41) , Lettre('i') ,Q(41) , Lettre('1') , Right) ;
Transition(Q(41) , Wildcard ,Q(41) , Wildcard , Right) ;
Transition(Q(8000) , Epsilon ,Q(9999) , Lettre('0') , None) ;
Transition(Q(8000) , Wildcard ,Q(8000) , Epsilon , Left) ;
Transition(Q(8010) , Epsilon ,Q(8011) , Epsilon , Right) ;
Transition(Q(8010) , Wildcard ,Q(8010) , Wildcard , Left) ;
Transition(Q(8011) , Epsilon ,Q(9999) , Lettre('0') , None) ;
Transition(Q(8011) , Wildcard ,Q(8011) , Epsilon , Right) ;
Transition(Q(8020) , Lettre('x') ,Q(9999) , Epsilon , Right) ;
Transition(Q(8020) , Wildcard ,Q(8020) , Epsilon , Right) ;
Transition(Q(8030) , Lettre('x') ,Q(9999) , Epsilon , Left) ;
Transition(Q(8030) , Wildcard ,Q(8030) , Epsilon , Left) ;
Transition(Q(8040) , Lettre('=') ,Q(8041) , Epsilon , Left) ;
Transition(Q(8040) , Wildcard ,Q(8040) , Epsilon , Left) ;
Transition(Q(8041) , Epsilon ,Q(9999) , Epsilon , Right) ;
Transition(Q(8041) , Wildcard ,Q(8041) , Wildcard , Left)
];;
